MATCH(1)

NAME
Match - match catalogs by 1D or 2D positions

SYNOPSIS
astmatch [OPTION...] ASTRdata

DESCRIPTION
Match is part of GNU Astronomy Utilities 0.24. Match matches catalogs of objects and (by default) will return the re-arranged matching inputs. The optional log file will return low-level information about the match (indexs and distances).

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Match's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmatch -P

Inputs/Outputs and options:
    $ info astmatch

Full section in manual/book:
    $ info Match

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Match options:

    Input:

-h, --hdu=STR/INT
    Extension name or number of first input.

-H, --hdu2=STR/INT
    Extension name or number of second input.

-I, --ignorecase
    Ignore case in matching/searching columns.

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

    Output:

-A, --arrange=STR
    inner, outer, outer-within-aperture or full.

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

-l, --logasoutput
    No rearranging of inputs, output is log file

--notmatched
    Output is rows that don't match.

--outcols=STR
    Out cols in CSV, 'a': 1st, 'b': 2nd input.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

-o, --output=STR
    Output file name.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Catalog matching

-a, --aperture=FLT[,...]
    Acceptable aperture for matching.

-c, --ccol1=STR[,STR]
    Column name/number of first catalog.

-C, --ccol2=STR[,STR]
    Column name/number of second catalog.

-d, --coord=FLT[,FLT]
    Manually input coordiantes.

--kdtreehdu=STR
    HDU of k-d tree when --kdtree=FILE.fits.

-k, --kdtree=STR
    build, internal, disable, CUSTOM-FITS-FILE.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2025 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Match is maintained as a Texinfo manual. If the info and Match programs are properly installed at your site, the command

    info Match

should give you access to the complete manual.